Last Comment Bug 427216 - Make tools menu popup match other applications
: Make tools menu popup match other applications
Status: VERIFIED FIXED
: verified1.8.1.15
Product: Other Applications
Classification: Client Software
Component: DOM Inspector (show other bugs)
: unspecified
: All All
: -- trivial (vote)
: ---
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 05:30 PDT by Philipp Kewisch [:Fallen]
Modified: 2008-06-11 15:53 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix v1 (2.37 KB, patch)
2008-04-05 05:30 PDT, Philipp Kewisch [:Fallen]
dbo.moz: review+
timeless: review+
dmose: superreview+
samuel.sidler+old: approval1.8.1.15+
Details | Diff | Splinter Review

Description Philipp Kewisch [:Fallen] 2008-04-05 05:30:59 PDT
Created attachment 313801 [details] [diff] [review]
Fix v1

Currently the name for our tools menupopup is "toolsPopup", which seems to be historical naming from xpfe times. Most applications now call it menu_ToolsPopup. Changing this will allow extensions that work on multiple applications to use only one overlay to add to the tools menu.

An lxr search showed that inspector is the only (overlaid) user of the toolsPopup, so changing this there too.
Comment 1 Daniel Boelzle [:dbo] 2008-04-07 05:59:04 PDT
Comment on attachment 313801 [details] [diff] [review]
Fix v1

r=dbo for the calendar part
Comment 2 timeless 2008-04-08 06:54:53 PDT
Comment on attachment 313801 [details] [diff] [review]
Fix v1

http://mxr-stage.mozilla.org/mozilla/search?string=%22toolsPopup%22&find=xul

you should probably tell the venkman people that you now come under the firefox category
Comment 3 Philipp Kewisch [:Fallen] 2008-04-08 10:22:41 PDT
Venkman should be fine, since http://mxr-stage.mozilla.org/mozilla/source/extensions/venkman/resources/content/venkman-overlay.xul#77 also tries to overlay menu_ToolsPopup automatically.

What sort of approvals do I need to check in the dom inspector part on branch and head?
Comment 4 Philipp Kewisch [:Fallen] 2008-04-09 13:25:45 PDT
Comment on attachment 313801 [details] [diff] [review]
Fix v1

Requesting approval for MOZILLA_1_8_BRANCH, since calendar has a cross-commit policy
Comment 5 Tony Mechelynck [:tonymec] 2008-04-09 14:52:55 PDT
Philipp, moving this bug to DOMi cleared your assignee status. If you're still working on this bug, you'll have to accept it again. (Or did I misunderstand?)
Comment 6 Shawn Wilsher :sdwilsh 2008-04-09 16:28:13 PDT
DOMi requires sr as well.
Comment 7 Dan Mosedale (:dmose) 2008-04-10 10:27:08 PDT
Comment on attachment 313801 [details] [diff] [review]
Fix v1

sr=dmose
Comment 8 Samuel Sidler (old account; do not CC) 2008-04-10 10:58:48 PDT
Comment on attachment 313801 [details] [diff] [review]
Fix v1

Approved for 1.8.1.15. a=ss for Sunbird-only change.
Comment 9 Philipp Kewisch [:Fallen] 2008-04-10 11:34:55 PDT
Checked in on HEAD and MOZILLA_1_8_BRANCH

-> FIXED
Comment 10 Philipp Kewisch [:Fallen] 2008-05-05 23:57:24 PDT
DOMi from CVS still works in latest builds. Using DOMi to inspect the menuitem, the popup name has changed

-> VERIFIED
Comment 11 Hasham 2008-06-11 15:53:31 PDT
Verified on 1.8.1.15 nightly branch. Menu name changed. Used DOMi similar to comment 10.

Note You need to log in before you can comment on or make changes to this bug.